with import <nixpkgs> {};

( let
    click = pkgs.python39Packages.buildPythonPackage rec {
      name = "click-${version}";
      version = "7.1.2";

      src = pkgs.fetchurl{
        url = "https://files.pythonhosted.org/packages/27/6f/be940c8b1f1d69daceeb0032fee6c34d7bd70e3e649ccac0951500b4720e/click-${version}.tar.gz";
        sha256 = "d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a";
      };
    };

    lookatme = pkgs.python39Packages.buildPythonPackage rec {
      name = "lookatme-${version}";
      version = "2.3.2";

      src = pkgs.fetchurl{
        url = "https://files.pythonhosted.org/packages/b0/96/3ebc7780e744c2265043b53a51d232edee02cd2fb7c39dc21463bd05229d/lookatme-${version}.tar.gz";
        sha256 = "a8864c9203a6e635e6c5314b4ea3018692c185f08bf31bd4c71aa94ba363715c";
      };

      propagatedBuildInputs = [ pkgs.python39Packages.pyyaml pkgs.python39Packages.pygments pkgs.python39Packages.urwid pkgs.python39Packages.mistune click pkgs.python39Packages.marshmallow python39Packages.pytest ];

      meta = {
        homepage = "https://github.com/d0c-s4vage/lookatme";
        description = "List processing tools and functional utilities";
        # license = with licenses; [ mit ];
        maintainers = with maintainers; [ softinio ];
      };
    };

    lookatme_qr = pkgs.python39Packages.buildPythonPackage rec {
      name = "lookatme.contrib.qrcode-${version}";
      version = "2.2.0";

      src = pkgs.fetchurl{
        url = "https://files.pythonhosted.org/packages/bd/53/e0b9745b2fa0ff4060fb396bb83fd8defd7fc2a04c8f21c176030db02af0/lookatme.contrib.qrcode-${version}.tar.gz";
        sha256 = "4f0c7308e3d858ad06acb9f3f685080e5ba59e6e76c41eb4f557ca422f0d6601";
      };

      propagatedBuildInputs = [ pkgs.python39Packages.pyqrcode lookatme ];
    };

  in pkgs.python39.buildEnv.override rec {

    extraLibs = [ click lookatme lookatme_qr ];
}
).env

